package src;

import java.util.ArrayList;


/**
 *
 * @author fco.dominguez
 * @author juan.alvarez
 */ 
public class Territorio {

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.9007FE48-7FA2-B88E-E6F3-7F2FC96D7447]
    // </editor-fold> 
    private ArrayList<Territorio> territoriosAdy;//contendra los territorios que podemos atacar

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.24656637-7789-142E-24F6-317170E00B98]
    // </editor-fold> 
    private String nombreTerritorio;//nombre del territorio

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.B23D2D36-8541-95B0-35D7-904CEE7F0003]
    // </editor-fold> 
    private int numEjercito;//numero de ejercitos que hay en el territorio

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.6E3C1909-8EE9-6783-C860-FDA5F15FDEFF]
    // </editor-fold> 
    private Jugador propietarioTer;//jugador que posee el territorio
    
    private boolean esCapital = false;

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,id=DCE.D91B3567-26FC-8729-308D-E518F5BFF9BA]
    // </editor-fold> 
    public Territorio (String nombre) {
        territoriosAdy = new ArrayList<Territorio>();
        setNombreTerritorio(nombre);
        setNumEjercito(0);
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.AA72938F-A3F7-0C82-D9D4-3CA443F1E6B2]
    // </editor-fold> 
    public String getNombreTerritorio () {
        return nombreTerritorio;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.E810AB2E-44FA-EC17-9AAC-1422730E934C]
    // </editor-fold> 
    public void setNombreTerritorio (String val) {
        nombreTerritorio = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.FBCC0E41-A9CB-8BB2-6E52-1350282180D8]
    // </editor-fold> 
    public int getNumEjercito () {
        return numEjercito;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.C5921497-5B82-0AD6-0407-1C9BF5346E0E]
    // </editor-fold> 
    public void setNumEjercito (int val) {
        numEjercito = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.6FEBE10D-CEA3-86FA-44D4-2E7055808F8F]
    // </editor-fold> 
    public Jugador getPropietarioTer () {
        return propietarioTer;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.D9E74123-143E-5A62-52D2-20A9CEDB64D4]
    // </editor-fold> 
    public void setPropietarioTer (Jugador val) {
        propietarioTer = val;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.D054F0C1-4654-39D4-7A09-BA27C4D0E6A5]
    // </editor-fold> 
    public ArrayList<Territorio> getTerritoriosAdy () {
        return territoriosAdy;
    }

    // <editor-fold defaultstate="collapsed" desc=" UML Marker "> 
    // #[regen=yes,regenBody=yes,id=DCE.70A27C5A-A2B3-D3BF-213B-F1842C540780]
    // </editor-fold> 
    public void setTerritoriosAdy (ArrayList<Territorio> val) {
        territoriosAdy = val;
    }
    
    public void setTerritoriosAdy (Territorio val) {
        territoriosAdy.add(val);// = val;
    }

    public boolean isEsCapital() {
        return esCapital;
    }

    public void setEsCapital(boolean esCapital) {
        this.esCapital = esCapital;
    }
   
}

